/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.tika.metadata;

/**
 * A collection of Microsoft Office documents property names.
 */
public interface MSOffice {

  public static final String KEYWORDS = "Keywords";

  public static final String COMMENTS = "Comments";

  public static final String LAST_AUTHOR = "Last-Author";

  public static final String APPLICATION_NAME = "Application-Name";

  public static final String CHARACTER_COUNT = "Character Count";

  public static final String LAST_PRINTED = "Last-Printed";

  public static final String LAST_SAVED = "Last-Save-Date";

  public static final String PAGE_COUNT = "Page-Count";

  public static final String REVISION_NUMBER = "Revision-Number";

  public static final String WORD_COUNT = "Word-Count";

  public static final String TEMPLATE = "Template";

  public static final String AUTHOR = "Author";
  
  public static final String TOTAL_TIME = "Total-Time";
  
  public static final String SLIDE_COUNT = "Slide-Count";
  
  public static final String PRESENTATION_FORMAT = "Presentation-Format";
  
  public static final String PARAGRAPH_COUNT = "Paragraph-Count";
  
  public static final String NOTES = "Notes";
  
  public static final String MANAGER = "Manager";
  
  public static final String LINE_COUNT = "Line-Count";
  
  public static final String CHARACTER_COUNT_WITH_SPACES = "Character-Count-With-Spaces";
  
  public static final String APPLICATION_VERSION = "Application-Version";
  
  public static final String VERSION = "Version";
  
  public static final String CONTENT_STATUS = "Content-Status";
  
  public static final String CATEGORY = "Category";

  public static final String COMPANY = "Company";

  public static final String SECURITY = "Security";

  public static final String EDIT_TIME = "Edit-Time";

  public static final String CREATION_DATE = "Creation-Date";

}
